$(document).ready(function(){

	$.ajaxSetup({

	headers: {

        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

    }});



  consultaSol();

      aceptarSol();

      rechazarSol();

      enviarCorreo();



    $('#inicio').click(function(){

      carga();

		$.ajax({

			url: 'solicitud',

			type: 'GET',

			dataType: 'html',

		}).done(function(e){

			$('#page-wrapper').html(e);

      consultaSol();

      aceptarSol();

      rechazarSol();

      enviarCorreo();

			

		}).fail(function(e){
      if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

          finaliza_carga();

      });

	

	});



  function consultaSol(){

    $('.btn-consulta-sol').click(function() {

      carga();

      

      var id1 = $(this).data('id1');

       $.ajax({

                url: 'solicitud/'+id1,

                type: 'GET',

                data:{id: id1},

                dataType: 'JSON',

              })

       .done(function(data){        

        if ((data.errors)) {

                      $('.modal-title').text('Solicitud - Consulta');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                    //console.log(data);

                      $('.modal-title').text('Solicitud - Consulta');

                      $('#id_show').val(data.id_sol);

                      //$('#fecha_show').val(data.updated_at);

                      $('#ncontrol_show').val(data.ncontrol_alu);

                      $('#nomAlu_show').val(data.nombre_alu+' '+data.apaterno_alu+' '+data.amaterno_alu);

                      $('#carreraAlu_show').val(data.nombre_carr);

                      //$('#nombre_show').val(data.nombre_dep);

                      $('#actividades_show').val(data.actividad_sol);

                      $('#programa_show').val(data.programa_sol);

                      $('#responsable_show').val(data.responsable_sol);
                      $('#cargo_res_show').val(data.cargo_sol);

                      $('#nomDep_show').val(data.nombre_dep);

                      $('#titular_show').val(data.titular_dep);
                      $('#cargo_show').val(data.cargo_dep);

                      var tipo = data.nombre_pro;

                      if (data.otro_sol!='' && data.otro_sol!=null) {
                        tipo = data.nombre_pro+' - '+data.otro_sol;
                      }

                      $('#programatipo_show').val(tipo);

                      //$('#email_show').val(data.email_dep);

                      $('#consultaModal').modal('show');

                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        $('.modal-title').text('Solicitud - Consulta');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');   

       }).always(function(){

        finaliza_carga();

      });





    });

  }



	



    function aceptarSol(){

      $('.btn-aceptar').click(function() {

        carga();

      $('#errorOficio').html('');

      $('#errorMensaje').html('');



      var id2 = $(this).data('id2');

       $.ajax({

                url: 'solicitud/'+id2,

                type: 'GET',

                data:{id: id2},

                dataType: 'JSON',

              })

       .done(function(data){

        if ((data.errors)) {

                      $('.modal-title').text('Solicitud - Aceptar');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                    var html='<label class="control-label col-md-6 col-sm-6" for="domicilio">';

                    html+='No. de oficio de carta de presentación:</label>';

                  html+='<div class="col-md-3 col-sm-3">';

                    html+='<input class="form-control" type="number" name="oficio" id="oficio" min="1">';

                  html+='</div>';



                  var mnsj='<textarea class="textarea form-control" name="mnsj_mod" id="mnsj_mod" cols="5" rows="2">';

                  mnsj+='Se ACEPTO tu solicitud del servicio social.</textarea>';

                  $('#oficio').html(html);

                      $('.modal-title').text('Solicitud - Aceptar');

                      $('#id_mod').val(data.id_sol);

                      $('#idCorreo').val(data.id_alu);

                      $('#ncontrol_mod').val(data.ncontrol_alu);

                      $('#email_mod').val(data.correo_alu);

                      $('#areamensaje').html(mnsj);

                      $('#tipoRes').val('aceptada');

                      $('#periodoRes').val(data.periodo_alu);

                      /*$('#titular_mod').val(data.titular_dep);

                      $('#puesto_mod').val(data.cargo_dep);

                      $('#telefono_mod').val(data.telefono_dep);

                      $('#domicilio_mod').val(data.domicilio_dep);

                      $('#email_mod').val(data.email_dep);*/

                      $('#respuestaModal').modal('show');

                      $('.btn-modal').click(function(){

                        var f=document.querySelector("#formRespuesta");

                        f.reset();

                      });



                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}


        $('.modal-title').text('Solicitud - Aceptar');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');   

       }).always(function(){

        finaliza_carga();

      });

    });

    }



    function rechazarSol(){

      $('.btn-rechazar').click(function() {

        carga();

        $('#errorOficio').html('');

        $('#errorMensaje').html('');

      

      var id3 = $(this).data('id3');

       $.ajax({

                url: 'solicitud/'+id3,

                type: 'GET',

                data:{id: id3},

                dataType: 'JSON',

              })

       .done(function(data){

        if ((data.errors)) {

                      $('.modal-title').text('Solicitud - Rechazar');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                    var mnsj='<textarea class="textarea form-control" name="mnsj_mod" id="mnsj_mod" cols="5" rows="2">';

                  mnsj+='Se RECHAZO tu solicitud del servicio social.</textarea>';

                      $('.modal-title').text('Solicitud - Rechazar');

                      $('#id_mod').val(data.id_sol);

                      $('#idCorreo').val(data.id_alu);

                      $('#ncontrol_mod').val(data.ncontrol_alu);

                      $('#email_mod').val(data.correo_alu);

                      $('#areamensaje').html(mnsj);

                      $('#tipoRes').val('rechazada');

                      $('#periodoRes').val(data.periodo_alu);

                      $('#oficio').html('');

                      /*$('#titular_mod').val(data.titular_dep);

                      $('#puesto_mod').val(data.cargo_dep);

                      $('#telefono_mod').val(data.telefono_dep);

                      $('#domicilio_mod').val(data.domicilio_dep);

                      $('#email_mod').val(data.email_dep);*/

                      $('#respuestaModal').modal('show');

                      $('.btn-modal').click(function(){

                        var f=document.querySelector("#formRespuesta");

                        f.reset();

                      });



                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        $('.modal-title').text('Solicitud - Rechazar');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');   

       }).always(function(){

        finaliza_carga();

      });





    });

    }



    function enviarCorreo(){

      $('.btn-envioCorreo').click(function() {

        carga();

        $('#errorOficio').html('');

        $('#errorMensaje').html('');



      var f=document.querySelector("#formRespuesta");

      var id = f.idCorreo.value;



      var res = $('#tipoRes').val();



      if (res=='aceptada') {

        var url = 'respuesta/'+id;

      }else{

        var url = 'respuestaRechazar/'+id;

      }



       $.ajax({

                url: url,

                type: 'POST',

                data: $('#formRespuesta').serialize(),

                dataType: 'JSON',

              })

       .done(function(data){
        if (data.error) {
            $('#errorOficio').html(data.error);
          }else if ((data.errors)) {


                      $('.modal-title').text('Respuesta - Envío');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrio un error');

                      $('#msjModalPrincipal').modal('show'); 


                   } else {
                    $('.close').click();

                    

                    div = document.getElementById(data.id_sol);

                    div.style.display = 'none';

                      $('.modal-title').text('Respuesta - Envío');

                      $('.mnsjPrincipal').text('Se envio el correo exitosamente.');

                      $('#msjModalPrincipal').modal('show');

                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error');

        $('#msjModalPrincipal').modal('show');  */

        $('#errorOficio').html(e.responseJSON.errors.oficio);

        $('#errorMensaje').html(e.responseJSON.errors.mnsj_mod);

       }).always(function(){

        finaliza_carga();

      });





    });

    }



    



	



});



function carga(){ $('#loading').fadeIn( 400, "linear"); }

  function finaliza_carga(){ $('#loading').fadeOut( 10, "linear"); }